# VehicleCrashDiagnostic

A diagnostic data pertaining to vehicle crash detection.

## VehicleCrashDiagnostic API

### `getCrashDetectionState()`

> ```java
> CrashDetectionState getCrashDetectionState()
> ```
>
> Returns the crash detection state. See [CrashDetectionState](/important-topics/sdk/api-reference/android/crashdetection/crashdetectionstate.md).

### `getCrashDetectionStateDescription()`

> ```java
> CrashDetectionState getCrashDetectionStateDescription()
> ```
>
> Returns the description of the crash detection state.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/crashdetection/vehiclecrashdiagnostic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
